File: changelog

package info (click to toggle)
qtcurve 1.9-2
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 11,000 kB
  • sloc: cpp: 70,231; perl: 123; sh: 122; xml: 46; makefile: 14
file content (210 lines) | stat: -rw-r--r-- 8,632 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
qtcurve (1.9-2) unstable; urgency=medium

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick@debian.org>  Sun, 23 Sep 2018 21:22:55 +0300

qtcurve (1.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump debhelper version to 11~ (was 9); update debian/compat.
  * Bump Standards-Version to 4.2.1 (was 4.2.0): no changes required.
  * Delete all debian/patches/*: some of them already in upstream and others
    are not required anymore.
  * Rewrite debian/watch: upstream has finally uploaded release tarball to
    download.kde.org, so we may use it instead of git repo on cgit.kde.org.
  * Simplify debian/rules: delete --parallel option from dh.
  * Set "Section: libs" for binary package libqtcurve-utils2.
  * Add debian/upstream/signing-key.asc.
  * Add debian/upstream/metadata.
  * Update debian/copyright:
    - update Format field: http --> https
    - update Source field: download.kde.org is used now

 -- Boris Pek <tehnick@debian.org>  Fri, 21 Sep 2018 01:46:19 +0300

qtcurve (1.8.18+git20160320-3d8622c-6) unstable; urgency=medium

  * Update debian/control:
    - bump Standards-Version to 4.2.0 (was 4.0.0)
    - update Vcs-* fields: moved from Alioth to Salsa
    - replace build dependency from kio-dev to libkf5kio-dev
      [Thanks to Pino Toscano] (Closes: #885393)
  * Add patch fix-random-hangs-and-crashes-of-Qt-based-applications:
    fixes random hangs of Qt5-based applications and crashes of Qt4-based
    applications after moving of mouse pointer over the menu bar.
    [Thanks to Andrey Rahmatullin] (Closes: #905327, #905354)
  * Update debian/gtk2-engines-qtcurve.lintian-overrides.
  * Delete get-orig-source section from debian/rules.
  * Update years and emails in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 17 Aug 2018 02:27:09 +0300

qtcurve (1.8.18+git20160320-3d8622c-5) unstable; urgency=medium

  * Add patch replace-memcmp-with-strncmp. It fixes crash when using QtCurve
    widget style and Breeze preset. (Closes: #865765)
    [Thanks to Sergey Sharybin]

 -- Boris Pek <tehnick@debian.org>  Thu, 03 Aug 2017 15:47:38 +0300

qtcurve (1.8.18+git20160320-3d8622c-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix build with Qt 5.9. (Closes: #867576)

  [ Boris Pek ]
  * Update debian/control:
    - bump Standards-Version to 4.0.0 (was 3.9.8): no changes required
    - package qtcurve-l10n is "Multi-Arch: foreign" now
    - package qtcurve is "Multi-Arch: same" now
    - update project Homepage
  * Update debian/watch.
  * Update debian/copyright.
  * Fix debian/*.lintian-overrides.

 -- Boris Pek <tehnick@debian.org>  Thu, 20 Jul 2017 19:54:29 +0300

qtcurve (1.8.18+git20160320-3d8622c-3) unstable; urgency=medium

  * Add workaround-for-kwin-x11-crashes.patch. (Closes: #823674)

 -- Boris Pek <tehnick@debian.org>  Wed, 11 May 2016 23:52:03 +0300

qtcurve (1.8.18+git20160320-3d8622c-2) unstable; urgency=medium

  * Add fix-segfault-in-qt4-style-on-mouse-move-to-window-title.patch.

 -- Boris Pek <tehnick@debian.org>  Wed, 27 Apr 2016 15:56:27 +0300

qtcurve (1.8.18+git20160320-3d8622c-1) unstable; urgency=medium

  * New upstream Git snapshot (1.8.18-251-g3d8622c) from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Fixed in upstream: fix build with libc6 >= 2.23.
    (Closes: #818838, LP: #1567791)
  * Update debian/control:
    - bump Standards-Version to 3.9.8 (was 3.9.6): no changes required
    - fix lintian notes vcs-field-uses-insecure-uri
  * Update debian/rules:
    - enable all hardening flags
    - delete override_dh_builddeb target

 -- Boris Pek <tehnick@debian.org>  Tue, 26 Apr 2016 00:18:18 +0300

qtcurve (1.8.18+git20160112-0cd6aae-1) unstable; urgency=medium

  * New upstream Git snapshot (1.8.18-246-g0cd6aae) from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 22 Jan 2016 01:11:26 +0300

qtcurve (1.8.18+git20150711-a3fff13-5) unstable; urgency=medium

  * Update debian/control:
    - package libqtcurve-utils2 now Breaks and Replaces libqtcurve-utils1
      (>= 1.8.18+git20150711-a3fff13-1)
    - move gtk2-engines-qtcurve from Recommends to Suggests in package
      kde-style-qtcurve-qt4
    - move gtk2-engines-qtcurve and kde-style-qtcurve-qt4 from Recommends to
      Suggests in package kde-style-qtcurve-qt5
    - move kwin-decoration-oxygen and oxygen-icon-theme from Recommends to
      Suggests in metapackage qtcurve
  * Simplify debian/gtk2-engines-qtcurve.lintian-overrides.

 -- Boris Pek <tehnick@debian.org>  Wed, 29 Jul 2015 01:24:17 +0300

qtcurve (1.8.18+git20150711-a3fff13-4) unstable; urgency=medium

  * Move package to unstable: no changes required.
  * This package replaces src:gtk2-engines-qtcurve and src:kde-style-qtcurve.

 -- Boris Pek <tehnick@debian.org>  Tue, 28 Jul 2015 08:56:32 +0300

qtcurve (1.8.18+git20150711-a3fff13-3) experimental; urgency=medium

  * Update debian/control:
    - rename package libqtcurve-utils1 to libqtcurve-utils2 for matching
      sonames
    - rename package kde-style-qtcurve to kde-style-qtcurve-qt4
    - package kde-style-qtcurve-qt4 now Provides, Replaces and Conflicts with
      package kde-style-qtcurve
    - package kde-style-qtcurve-qt4 now recommends kde-style-qtcurve-qt5
    - package gtk2-engines-qtcurve now recommends kde-style-qtcurve-qt4 and
      kde-style-qtcurve-qt5
    - package kde-style-qtcurve-qt5 now recommends gtk2-engines-qtcurve and
      kde-style-qtcurve-qt4

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 12:50:47 +0300

qtcurve (1.8.18+git20150711-a3fff13-2) experimental; urgency=medium

  * Update debian/control:
    - delete kwin-style-qtcurve from Recommends of package kde-style-qtcurve
    - move gtk2-engines-qtcurve from Suggests to Recommends of package
      kde-style-qtcurve
    - remove kwin-style-qtcurve from Depends of metapackage qtcurve

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 11:39:21 +0300

qtcurve (1.8.18+git20150711-a3fff13-1) experimental; urgency=medium

  * Upstream Git snapshot (1.8.18-242-ga3fff13) is taken from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Fixed in upstream:
    - gtk2-engines-qtcurve: inkscape 0.91 crashes after palette mouse-over
      (Closes: #786831)
    - gtk2-engines-qtcurve: massive memory leak in mysql-workbench
      (Closes: #682162)
  * Update debian/patches:
    - delete qt53-build-fix.diff (fixed in upstream)
    - add enable-translations.patch
  * Update debian/control:
    - bump Standards-Version to 3.9.6 (was 3.9.5): no changes required
    - update Build-Depends for transition from KDE4 to KF5:
      + delete dependencies from: kdebase-workspace-dev and qtdeclarative5-dev
      + add dependencies from: extra-cmake-modules, kio-dev,
        libkf5archive-dev, libkf5config-dev, libkf5configwidgets-dev,
        libkf5i18n-dev, libkf5kdelibs4support-dev, libkf5widgetsaddons-dev,
        libkf5xmlgui-dev, libqt5x11extras5-dev, libxcb1-dev, pkg-config
        [Thanks to Scarlett Clark]
    - delete package kwin-style-qtcurve: it is not available for KF5 yet
      (LP: #1452218)
    - package kde-style-qtcurve now provides package kde-style-qtcurve-qt4
    - package kde-style-qtcurve is "Multi-Arch: same" now
    - metapackage qtcurve now depends on kde-style-qtcurve-qt5 and recommends
      kwin-decoration-oxygen, oxygen-icon-theme and oxygencursors
  * Update debian/rules:
    - build using kf5 libraries instead of kde4
    - update configure flags
    - use xz compression in packages
  * Update debian/kde-style-qtcurve.install:
    there are no KDE4 related files anymore.
  * Update debian/kde-style-qtcurve-qt5.install.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 04:17:05 +0300

qtcurve (1.8.18-3) experimental; urgency=medium

  * Add patch to fix build with QT 5.3. (Closes: #777128)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 08 Feb 2015 20:18:05 +0530

qtcurve (1.8.18-2) experimental; urgency=medium

  * Move Qt5 style into separate package kde-style-qtcurve-qt5.
  * Package qtcurve now recommends kde-style-qtcurve-qt5.
  * Update description of package qtcurve.

 -- Boris Pek <tehnick@debian.org>  Tue, 18 Mar 2014 13:49:00 +0400

qtcurve (1.8.18-1) experimental; urgency=medium

  * Initial release.  (Closes: #726767)

 -- Boris Pek <tehnick@debian.org>  Tue, 18 Mar 2014 00:22:08 +0400